Index: pro-violet-viettel/sourcecode/application/language/message/messages_lang.php
===================================================================
--- pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 883)
+++ pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 884)
@@ -92,4 +92,7 @@
 $lang['_SBG_MO_CHARGING_FAIL_MSG'] = 'Loi, khong thanh toan duoc tu tai khoan goc';
 $lang['_SBG_MO_AMOUNT_WRONG_FORMAT_MSG'] = 'So tien nap khong hop le. Vui long kiem tra lai hoac LH 01662860000 de biet them chi tiet';
+
+$lang['_SBG_MO_AMOUNT_LESS_THAN_MIN_VALUE_MSG'] = 'So tien nap nho nhat la 5000d. Vui long kiem tra lai hoac LH 01662860000 de biet them chi tiet';
+
 $lang['_SBG_MO_PHONENUM_WRONG_FORMAT_MSG'] = 'So dien thoai Khach hang khong hop le. Vui long kiem tra lai hoac LH 01662860000 de biet them chi tiet';
 $lang['_SBG_MO_SUPPORT_VIETTEL_MSG'] = 'Soan bai giang Online la DV cho phep ban tao cac noi dung phuc vu giang day. De dang ky su dung DV nhan tin theo cu phap SBG DK. Vui long truy cap http://soanbaigiang.smas.vn hoac LH 01662860000 de biet them chi tiet';
Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/home.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/home.php	(revision 883)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/home.php	(revision 884)
@@ -5,4 +5,8 @@
 /**
  * Home Class
+ * @todo Control main actions 
+ * @see index()
+ * @see singin()
+ * @see signout()
  *
  * @author dzungnv02
@@ -18,4 +22,8 @@
 	}
 	
+	/**
+	 * function index
+	 * @todo checked is sign-in then redirect to lecture page else redirect to sign-in page
+	 */
 	public function index() {
 		$user_info = $this->session->userdata ( 'userInfo' );
@@ -41,4 +49,8 @@
 	}
 	
+	/**
+	 * function signin
+	 * @todo Execute sign-in action
+	 */
 	public function signin() {
 		$username = $this->input->post ( 'username', TRUE );
@@ -83,4 +95,8 @@
 	}
 	
+	/**
+	 * funtion signout
+	 * @todo Execute signout action
+	 */
 	public function signout() {
 		//$this->session->sess_destroy ();
@@ -92,72 +108,11 @@
 	}
 	
-	public function register() {
-		$this->load->model ( 'user_model' );
-		$collaborator = '0979947802';
-		$serviceID = 1;
-		$username = '0978618113';
-		$commandcode = 'commandcode1';
-		$info = 'ABCD';
-		// $receiveTime = time();
-		$receiveTime = date ( "Y-m-d H:i:s" );
-		$data = $this->user_model->register ( $username, $collaborator );
-		echo $data;
-	}
-	
-	public function change_profile() {
-		$this->load->model ( 'user_model' );
-		$sentNumber = '0979947802';
-		$serviceID = 1;
-		$password = '2933369';
-		$commandcode = "SBG";
-		$receiveID = '0977274183';
-		$info = "SBG TD";
-		$receiveTime = date ( "Y-m-d H:i:s" );
-		$status = 0;
-		$data = $this->user_model->changeProfile ( $sentNumber, $receiveID, $password, $status );
-		echo $data;
-	}
-	
-	public function change_password() {
-		$this->load->model ( 'user_model' );
-		$sentNumber = '0979947802';
-		$password = '935322';
-		$data = $this->user_model->changePassword ( $sentNumber, $password );
-		echo $data;
-	}
-	
-	public function register_vip() {
-		$this->load->model ( 'user_model' );
-		$sentNumber = '0979947802';
-		$p_code = 1;
-		$serviceID = 1;
-		$commandcode = "SBG";
-		$vipNum = 1;
-		$mainAccBalanced = 15000;
-		$info = "SBG DK VIP1";
-		$receiveTime = date ( "Y-m-d H:i:s" );
-		$status = 0;
-		$data = $this->user_model->registerVip ( $sentNumber, $p_code );
-		echo $data;
-	}
-	
-	public function recharge_account() {
-		$this->load->model ( 'user_model' );
-		$sentNumber = '0979947802';
-		$receiveID = '01662860000';
-		$serviceID = 1;
-		$commandcode = "SBG";
-		$vipNum = 1;
-		$mainAccBalanced = 15000;
-		$amount = 1000;
-		$info = "SBG NAP 10000";
-		$status = 0;
-		$receiveTime = date ( "Y-m-d H:i:s" );
-		$data = $this->user_model->rechargeAccount ( $sentNumber, $amount );
-		//$data = $this->user_model->insertPaidlog($sentNumber, $sentNumber, 2, $amount, $receiveTime);
-		echo $data;
-	}
-	
-	public function is_viettel($number) {
+	/**
+	 * function is_viettel
+	 * @param string $number
+	 * @return 1:true;0:false
+	 * @todo checked the phone number is viettel subscriber
+	 */
+	private function is_viettel($number) {
 		$viettel = array (
 				'096',
Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/lecture.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/lecture.php	(revision 883)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/lecture.php	(revision 884)
@@ -6,5 +6,5 @@
 /**
  * Lecture Class
- * 
+ * @todo Show lecture editor software
  * @author dzungnv02
  *
@@ -12,4 +12,8 @@
 class Lecture extends MX_Controller {
 
+	/**
+	 * function __construct
+	 * @todo constructor of class
+	 */
     public function __construct() {
         parent::__construct();
@@ -18,4 +22,8 @@
     }
 
+    /**
+     * function index
+     * @todo Show lecture editor
+     */
     public function index() {
         $this->load->model('User_model');
Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 883)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 884)
@@ -1,7 +1,25 @@
 <?php
-
 if (!defined('BASEPATH'))
     exit('No direct script access allowed');
 
+/**
+ * Class User
+ * @todo Execute actions of user
+ * 
+ * @see function profile
+ * @see function packageRegister
+ * @see function finishRegisterPackage
+ * @see function regpackage
+ * @see function update_info
+ * @see function update_user
+ * @see function change_password
+ * @see function trade_history
+ * @see function getUserInfor 
+ * @see function adminUpdateUser
+ * @see function regis_history
+ *  
+ * @author dungnv02
+ *
+ */
 class User extends MX_Controller {
 
Index: pro-violet-viettel/sourcecode/application/modules/services/controllers/sendmessage.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/controllers/sendmessage.php	(revision 883)
+++ pro-violet-viettel/sourcecode/application/modules/services/controllers/sendmessage.php	(revision 884)
@@ -212,7 +212,50 @@
 	}
 	
+	public function getCollaborators () {
+		$client = new SoapClient($this->config->item('bccs_service_url'), array(  'trace'      => true,
+                'exceptions' => true,
+             ));
+		$username = $this->config->item('bccs_username');
+		$password = $this->config->item('bccs_password');
+		$wscode = 'getListShopAndStaftInfo';
+		
+		$input = new Input($username, $password, $wscode/* , 2, 1,5000 */);
+		$param = new Param();
+		
+		$params = array(
+				"Input" => $input,
+				"rawData" => "rawData",
+				"Param" => $param,
+		);
+		
+		var_dump($params);
+
+		$response = $client->__soapCall("gwOperation", array($params));
+		var_dump($response);
+	}
+	
 	
 }
 
+
+class Input {
+	function Input ($user, $pass, $wscode/*,  $type, $page, $displaypage */) {
+		$this->user = $user;
+		$this->pass = $pass;
+		$this->wscode = $wscode;
+		$this->param = null;
+		$this->rawData = '';
+		/* $this->type = $type;
+		 $this->page = $page;
+		$this->displaypage = $displaypage; */
+	}
+}
+
+class Param {
+	function Param () {
+		$this->name = '';
+		$this->value = '';
+	}
+}
 	function fix_latin1_mangled_with_utf8_maybe_hopefully_most_of_the_time($str)
 	{
Index: pro-violet-viettel/sourcecode/application/modules/services/models/services_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/models/services_model.php	(revision 883)
+++ pro-violet-viettel/sourcecode/application/modules/services/models/services_model.php	(revision 884)
@@ -26,4 +26,5 @@
 if ( ! defined('_SBG_CHARGING_NUMBER_NOT_REGISTED')) 	define('_SBG_CHARGING_NUMBER_NOT_REGISTED', 501);
 if ( ! defined('_SBG_CHARGING_MAX_VALUE')) 				define('_SBG_CHARGING_MAX_VALUE', 50000);
+if ( ! defined('_SBG_CHARGING_MIN_VALUE')) 				define('_SBG_CHARGING_MIN_VALUE', 5000);
 
 
@@ -40,5 +41,5 @@
 if ( ! defined('_SBG_GET_COLLABORATOR_FAIL')) 			define('_SBG_GET_COLLABORATOR_FAIL', -1);
 
-Class Services_model extends CI_Model 
+Class Services_model extends CI_Model
 {
 	private $_arySmsMO = array(
@@ -52,6 +53,6 @@
 		_SBG_MO_SUPPOR_SERVICE 		=> array('pattern' => '/^(SBG)([[:blank:]])(HD)$/'),
 		_SBG_MO_UNSUBSCRIBE_SERVICE => array('pattern' => '/^(SBG)([[:blank:]])(HUY)$/')
-	);	
-	
+	);
+
 	public function __construct(){
 		parent::__construct();
@@ -59,10 +60,10 @@
 		$this->lang->load('messages', 'message');
 	}
-	
+
 	/**
 	 * messageAnalys
-	 * 
+	 *
 	 * @todo Analysis content of incoming message
-	 * 
+	 *
 	 * @param String $message - coming SMS
 	 * @return multitype:Ambigous <string, multitype> multitype:multitype
@@ -70,8 +71,8 @@
 	public function messageAnalys ($message)
 	{
-		$aryMatched = array();	
+		$aryMatched = array();
 		$aryContent = array();
 		$result = FALSE;
-		
+
 		foreach ($this->_arySmsMO as $case => $pattern)
 		{
@@ -82,36 +83,36 @@
 			}
 		}
-		
+
 		$case = (bool)$result ? $case:_SBG_MO_SYNTAX_ERR;
-		
+
 		foreach($aryMatched as $k => $val) {
-			if ($k > 1) $aryContent[] = $val;			
-		}
-		
+			if ($k > 1) $aryContent[] = $val;
+		}
+
 		return array('case' => $case, 'content' => $aryContent);
 	}
-	
+
 	/**
 	 * processMORequest
-	 * 
+	 *
 	 * @todo process action analysed from messageAnalys
-	 * 
+	 *
 	 * @param unknown $sentNumber
 	 * @param unknown $message
 	 * @return string
 	 */
-	public function processMORequest ($sentNumber, $message, &$mtBody = null) 
+	public function processMORequest ($sentNumber, $message, &$mtBody = null)
 	{
 		$debugMsg = $message."\n";
-		
+
 		$sentNumber = $this->formatPhoneNumber($sentNumber);
-		
+
 		$smsReturn = '';
-		$aryMOAnalys = $this->messageAnalys($message);		
+		$aryMOAnalys = $this->messageAnalys($message);
 		$case = $aryMOAnalys['case'];
 		$aryContents = isset($aryMOAnalys['content']) ? $aryMOAnalys['content']: null;
 		$this->load->model('frontend/user_model', 'objUserModel');
 		$debugMsg .= $case;
-		
+
 		switch ($case) {
 			case _SBG_MO_REGISTER:
@@ -123,11 +124,11 @@
 					}
 				}
-				
-				$userName = isset($aryContents[0]) ? $this->formatPhoneNumber($aryContents[0]) : $sentNumber;  
+
+				$userName = isset($aryContents[0]) ? $this->formatPhoneNumber($aryContents[0]) : $sentNumber;
 				$collaborator = isset($aryContents[0]) ? $sentNumber:null;
 				$collaboratorMsg = '';
-				
+
 				$sms = $this->objUserModel->register($userName, $collaborator, $collaboratorMsg);
-				
+
 				if ($case == _SBG_MO_REGISTER_FOR) {
 					$smsReturn = $collaboratorMsg;
@@ -137,5 +138,5 @@
 						$sendMT = $this->sendMT($this->formatPhoneNumber($userName, -1), $mtBody);
 					}
-										
+
 				}
 				else {
@@ -149,12 +150,12 @@
 					break;
 				}
-				
+
 				$oldPhoneNumber = $this->formatPhoneNumber($aryContents[0]);
 				$password = $aryContents[1];
 				$smsReturn = $this->objUserModel->changeProfile($sentNumber, $oldPhoneNumber, $password);
-				
+
 				$arySMS = explode('|', $smsReturn);
 				$changeResult = (int)$arySMS[0];
-				
+
 				$aryPatterns = array('/:sentNumber:/');
 				$sms = preg_replace($aryPatterns, array($sentNumber), lang('_SBG_MO_USER_OLD_PHONENUM_CHANGE_SUCCESS_MSG'));
@@ -168,5 +169,5 @@
 				$p_code = $aryContents[0];
 				$smsReturn = $this->objUserModel->registerVip($sentNumber, $p_code, $packageData);
-				
+
 				$arySmsReturn = explode('|', $smsReturn);
 				$result = $arySmsReturn[0];
@@ -179,7 +180,7 @@
 					for ($i = 1; $i <= $count; $i++) {
 						$value = $amount > _SBG_CHARGING_MAX_VALUE ? _SBG_CHARGING_MAX_VALUE : $amount;
-						$amount -= $value;							
+						$amount -= $value;
 						$result = $this->chargeRootAccountProcess($sentNumber, $value, $sentNumber.' paid for SBG');
-					}	
+					}
 
 					if ($result == _SBG_CHARGING_SUCCESS) {
@@ -199,4 +200,5 @@
 			case _SBG_MO_PAY_TO_ACCOUNT_FOR:
 				error_log(date('Y-m-d H:i:s').' -- DATA: '. var_export($aryContents, TRUE).' -- CASE: '. $case . "\n", 3, '/srv/www/sbg/log/pay.log');
+
 				$userName = isset($aryContents[1]) ? $this->formatPhoneNumber($aryContents[1]) : $sentNumber;
 				if ($case == _SBG_MO_PAY_TO_ACCOUNT_FOR && !preg_match('/^(09\d{8}|01\d{9})$/', $userName)) {
@@ -204,5 +206,5 @@
 					break;
 				}
-				
+
 				$amount = $aryContents[0];
 				if (!preg_match('/^[0-9]{3,}$/', $amount)) {
@@ -210,7 +212,12 @@
 					break;
 				}
-				
+
+				if ((int)$amount < _SBG_CHARGING_MIN_VALUE) {
+					$smsReturn = _SBG_MO_PROCCESS_ERR.'|'.lang('_SBG_MO_AMOUNT_LESS_THAN_MIN_VALUE_MSG');
+					break;
+				}
+
 				$result =$this->chargeRootAccountProcess($sentNumber, $amount, $sentNumber.' paid for SBG');
-				
+
 				if ($result == _SBG_CHARGING_SUCCESS) {
 					$smsReturn = $this->objUserModel->rechargeAccount($userName, $amount);
@@ -228,27 +235,25 @@
 				}
 				else if ($result == _SBG_CHARGING_FAIL_NOT_ENOUGH) {
-					//$aryPatterns = array ('/:amount:/');
 					$aryPatterns = array ('/:sentNumber:/');
 					$smsReturn = preg_replace($aryPatterns, array($sentNumber), lang('_SBG_MO_CHARGING_FAIL_NOT_ENOUGH_MSG'));
-					/*
-					if ($case == _SBG_MO_PAY_TO_ACCOUNT_FOR) {
-						$aryPatterns = array ('/:amount:/', '/:username:/');
-						$smsReturn = preg_replace($aryPatterns, array($amount, $userName), lang('_SBG_MO_CHARGING_FAIL_NOT_ENOUGH_FOR_MSG'));
-					}*/
 					$smsReturn = _SBG_MO_PROCCESS_ERR.'|'.$smsReturn;
 				}
 				else if ($result == _SBG_CHARGING_FAIL_MORETHAN_LIMIT) {
-					$aryPatterns = array ('/:sendid:/');
+					/* $aryPatterns = array ('/:sendid:/');
 					$smsReturn = preg_replace($aryPatterns, array($sentNumber), lang('_SBG_MO_CHARGING_FAIL_MORETHAN_LIMIT_MSG'));
-					$smsReturn = _SBG_MO_PROCCESS_ERR.'|'.$smsReturn;
+					$smsReturn = _SBG_MO_PROCCESS_ERR.'|'.$smsReturn; */
+
+
+
+
 				}else if ($result == _SBG_CHARGING_FAIL_NOT_VIETTEL || $result == _SBG_CHARGING_NUMBER_NOT_EXISTED || $result == _SBG_CHARGING_NUMBER_NOT_AVAILABLE) {
 					$smsReturn = _SBG_MO_PROCCESS_ERR.'|'.lang('_SBG_MO_CHARGING_FAIL_NOT_VIETTEL_MSG');
-				}				
+				}
 				else {
 					$smsReturn = _SBG_MO_PROCCESS_ERR.'|'.lang('_SBG_MO_CHARGING_FAIL_MSG');
 				}
 				break;
+
 			case _SBG_MO_SUPPOR_SERVICE:
-				//$smsReturn = '1|'.lang('_SBG_MO_SUPPORT_MSG');
 				if ($this->isViettel($sentNumber)){
 					$smsReturn = '1|'.lang('_SBG_MO_SUPPORT_VIETTEL_MSG');
@@ -257,4 +262,5 @@
 				}
 				break;
+
 			case _SBG_MO_UNSUBSCRIBE_SERVICE:
 			case _SBG_MO_SYNTAX_ERR:
@@ -263,15 +269,15 @@
 				break;
 		}
-		
+
 		$aryTmp = explode('|', $smsReturn);
 		$mtBody = $aryTmp[1] . "\n" . $mtBody;
-		
+
 		return $smsReturn.'|'.$case;
 	}
-	
-	
+
+
 	/**
 	 * cardPaidProcess
-	 * 
+	 *
 	 * @todo Call Topup webservice to check and lock prepaid-card
 	 * @param Array $aryCardInfo
@@ -279,23 +285,23 @@
 	 * @return string
 	 */
-	public function cardPaidProcess ($aryCardInfo, &$aryTopupResult = array()) 
+	public function cardPaidProcess ($aryCardInfo, &$aryTopupResult = array())
 	{
 		$url = $this->config->item('topup_service_url');
 		$action = 'http://tempuri.org/ITopupService/TopUp';
 		$xml = $this->load->view('topup', $aryCardInfo, true);
-		
+
 		$client = new nusoap_client($url);
 		$client->useHTTPPersistentConnection();
 		$client->soap_defencoding = 'UTF-8';
 		$client->operation = $action;
-		
+
 		$result = $client->send($xml, $action);
-		
+
 		if ($client->fault) {
 			return _SBG_CARD_PAY_FAIL;
 		}
-		
+
 		$keys = array_keys($result);
-		
+
 		$aryTopupResult = $result[$keys[0]];
 
@@ -308,11 +314,11 @@
 			return _SBG_CARD_PAY_FAIL;
 		}
-		
+
 		return _SBG_CARD_PAY_SUCCESS;
 	}
-	
+
 	/**
 	 * chargeRootAccountProcess
-	 * 
+	 *
 	 * @todo Call charging webservice to charged fee from phone root account
 	 * @param String $sentID
@@ -321,11 +327,11 @@
 	 * @return string|number
 	 */
-	public function chargeRootAccountProcess ($sentID, $amount = 0, $contents = '') 
+	public function chargeRootAccountProcess ($sentID, $amount = 0, $contents = '')
 	{
 		$url = $this->config->item('charging_service_url');
 		$username = $this->config->item('charging_username');
 		$password = $this->config->item('charging_password');
-		$action = 'http://tempuri.org/processCharging';		
-		
+		$action = 'http://tempuri.org/processCharging';
+
 		$aryParams = array(
 				'user' => $username,
@@ -345,7 +351,7 @@
 			return _SBG_CHARGING_FAIL;
 		}
-		
-		$aryErrs = array (	_SBG_CHARGING_FAIL_NOT_ENOUGH, 
-							_SBG_CHARGING_FAIL_NOT_VIETTEL, 
+
+		$aryErrs = array (	_SBG_CHARGING_FAIL_NOT_ENOUGH,
+							_SBG_CHARGING_FAIL_NOT_VIETTEL,
 							_SBG_CHARGING_FAIL_MORETHAN_LIMIT,
 							_SBG_CHARGING_NUMBER_NOT_EXISTED,
@@ -354,14 +360,14 @@
 							_SBG_CHARGING_GENERAL_ERROR,
 							_SBG_CHARGING_NUMBER_NOT_REGISTED);
-		
-		if (in_array((int)$result['processChargingResult'], $aryErrs)) 
-			return (int)$result['processChargingResult'];		
-		
+
+		if (in_array((int)$result['processChargingResult'], $aryErrs))
+			return (int)$result['processChargingResult'];
+
 		return _SBG_CHARGING_SUCCESS;
 	}
-	
+
 	/**
 	 * sendMT
-	 * 
+	 *
 	 * @todo Calling MT webservice to send a SMS to a phone number
 	 * @param String $receiverID
@@ -372,13 +378,13 @@
 	{
 		$aryMatch = array();
-		
+
 		if (preg_match('/^(0)([0-9]{9,10})$/', $receiverID, $aryMatch) == 1) {
 			$receiverID = '84'. $aryMatch[2];
 		}
-		
+
 		$username = $this->config->item('mt_username');
 		$password = $this->config->item('mt_password');
 		$action = 'http://tempuri.org/InsertMT';
-		
+
 		$aryParams = array(
 				'User' => $username,
@@ -393,5 +399,5 @@
 				'Info' => $message
 		);
-		
+
 		$xml = $this->load->view('services/mt', $aryParams, true);
 		$url = $this->config->item('mt_service_url');
@@ -401,12 +407,12 @@
 		$client->operation = $action;
 		$result = $client->send($xml, $action);
-		
+
 		if ($client->fault || (int)$result['InsertMTResult'] != 1) {
 			return _SBG_SEND_MT_FAIL;
 		}
-		
+
 		return _SBG_SEND_MT_SUCCESS;
 	}
-	
+
 	public function getCollaborator ($type = 2, $page = 10, $displaypage = 1) {
 		$action = 'http://tempuri.org/InsertMT';
@@ -423,11 +429,12 @@
 				'displaypage' => $displaypage
 		);
+
 		$xml = $this->load->view('bscc', $aryParams, true);
-		
+
 		$client = new nusoap_client($url);
 		$client->useHTTPPersistentConnection();
 		$client->soap_defencoding = 'UTF-8';
 		$client->decode_utf8 = false;
-		
+
 		$client->operation = $action;
 		$result = $client->send($xml, $action);
@@ -435,11 +442,11 @@
 			return _SBG_GET_COLLABORATOR_FAIL;
 		}
-		
+
 		return $result['Result']['original'];
 	}
-	
+
 	/**
 	 * formatPhoneNumber
-	 * 
+	 *
 	 * @todo format phone number to prefix 0 or 84
 	 * @param String $phoneNumber
@@ -465,19 +472,19 @@
 			$result = '0'. $phoneNumber;
 		}
-		
+
 		return $result;
 	}
-	
-	
+
+
 	public function syncCollaborator($data){
 		if ($data){
-			$sql = $this->db->insert_string('tblcollaborator', $data) . ' ON DUPLICATE KEY UPDATE address = "'.$data['address'].'", 
-																								code = "'.$data['code'].'", 
-																								district = "'.$data['district'].'", 
-																								email = "'.$data['email'].'", 
+			$sql = $this->db->insert_string('tblcollaborator', $data) . ' ON DUPLICATE KEY UPDATE address = "'.$data['address'].'",
+																								code = "'.$data['code'].'",
+																								district = "'.$data['district'].'",
+																								email = "'.$data['email'].'",
 																								full_name = "'.$data['full_name'].'",
 																								passwd = "'.$data['passwd'].'",
-																								cellphone = "'.$data['cellphone'].'", 
-																								precinct = "'.$data['precinct'].'", 
+																								cellphone = "'.$data['cellphone'].'",
+																								precinct = "'.$data['precinct'].'",
 																								province = "'.$data['province'].'",
 																								created_time = "'.$data['created_time'].'",
@@ -499,5 +506,5 @@
 		}
 	}
-	
+
 	public function deleteCollaborator($id){
 		$sql = "DELETE FROM tblcollaborator WHERE id = ". $id;
@@ -511,5 +518,5 @@
 		}
 	}
-	
+
 	public function getAllCollaboratorID(){
 		$sql = "Select id from tblcollaborator";
@@ -522,5 +529,5 @@
 		}
 	}
-	
+
 	public function isViettel($number) {
 		$prefixViettel = array (