Index: pro-violet-viettel/www/deploy/20150304/application/views/layout/footer.php
===================================================================
--- pro-violet-viettel/www/deploy/20150304/application/views/layout/footer.php	(revision 887)
+++ pro-violet-viettel/www/deploy/20150304/application/views/layout/footer.php	(revision 888)
@@ -24,5 +24,5 @@
 <script src="<?php echo $base_url;?>assets/js/grid.js"></script>
 <script src="<?php echo $base_url;?>assets/js/manager.js"></script>
-<script src="<?php echo base_url();?>assets/js/jquery.slides.js" ></script> 
+<script src="<?php echo base_url();?>assets/js/jquery.slides.js" ></script>
 
 <script type="text/javascript" src="<?php echo base_url();?>assets/js/html5lightbox.js"></script>
@@ -42,5 +42,4 @@
 		navigationbar: 'navigation-bar',
 		invisibledButtons: ['btnShare'],
-		filehosting: '<?php echo $this->config->item('api_url');?>'
 	});
 
Index: pro-violet-viettel/www/deploy/20150304/assets/js/grid.js
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 887)
+++ pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 888)
@@ -6,5 +6,5 @@
 			if( o.draggable == undefined ) o.draggable = false;
 			if( o.manager ==  undefined) o.manager = null;
-			
+
 			var oContainer = this;
 			var documentBoundEvent = false;
@@ -12,5 +12,5 @@
 			var posLeftArray = [];
 			var self = this;
-			
+
 			var createNode = function (node) {
 				if( !node ) var node = {};
@@ -18,9 +18,10 @@
 				if( node.isDirectory == undefined ) node.isDirectory = false;
 				if( node.showContextMenu == undefined ) node.showContextMenu = true;
-				
-                                
+
+
 				var icon = (node.item.minetype != undefined) ? 'icon-' + node.item.minetype: 'icon-directory';
 				var type = (node.item.minetype != undefined) ? node.item.minetype: 'directory';
 				var thumb = null;
+				var filehosting = o.manager.getFileHosting();
                 if (node.item.thumbnail != "")
                 {
@@ -31,39 +32,40 @@
 					if($.inArray( type.toLowerCase(), [ "jpg", "jpeg", "png", "bmp"])>=0)
 					{
-						 thumb = $('<img>', {src:node.item.fileurl,align:'middle'});
+						 thumb = $('<img>', {src:filehosting + node.item.fileurl,align:'middle'});
 					}
                 }
-                 
+
 				var div = $('<div></div>',{'class':icon});
 				if (thumb != null) $(div).append(thumb);
 
-				var typeid = type == 'directory' ? 'directory':'file';                            
+				var typeid = type == 'directory' ? 'directory':'file';
 				var inputID = $('<input />',{'class':'id', type:'hidden',value:node.item.id});
 				var inputName = $('<input />',{'class':'name',type:'hidden',value:node.item.name});
-                                var inputFileUrl = $('<input />',{'class':'fileurl',type:'hidden',value:node.item.fileurl});
+
+				var inputFileUrl = $('<input />',{'class':'fileurl',type:'hidden',value:filehosting + node.item.fileurl});
 				var inputParent = $('<input />',{'class':'parentID',type:'hidden',value:node.item.parentID});
-				var inputType = $('<input />',{'class':'type',type:'hidden',value:typeid});				
-				
+				var inputType = $('<input />',{'class':'type',type:'hidden',value:typeid});
+
 				var a = $('<a></a>',{id: node.item.id,href: '#',rel: node.item.name,text: node.item.name});
-				var divLink = $('<div></div>',{'class':'file-name'}).append(a,inputID,inputName,inputParent,inputType,inputFileUrl);				
+				var divLink = $('<div></div>',{'class':'file-name'}).append(a,inputID,inputName,inputParent,inputType,inputFileUrl);
 				var li = $('<li></li>',{'class':'vscell',id:typeid+node.item.id}).append(div, divLink);
-				
+
 				bindNodeEvents(li);
-				
+
 				return li;
 			}
-			
+
 			var bindNodeEvents = function (node) {
-                        
+
 				var disabledItemsList = null;
 				var menuName = '';
-				
+
 				var type = $(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="type"]').val();
-				
+
 				$(node)
 					.bind("click", function (e){nodeClick(this,e);return false;})
 					.bind("dblclick", function (e){nodeDblClick(this,e);return false;})
 			}
-			
+
 			var nodeClick = function (node, event) {
 				var message = '';
@@ -83,47 +85,47 @@
 				else {
 					clearAllHighLightNode(node);
-					highlightNode(node);					
-				}
-				
+					highlightNode(node);
+				}
+
 				o.manager.refreshStatusBar();
 			}
-			
-			
+
+
 			var nodeDblClick = function (node) {
-                           
+
 				var nodeObj = {id:$(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="id"]').val(),
-				fileurl: $(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="fileurl"]').val(),			
+				fileurl: $(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="fileurl"]').val(),
                                 name: $(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="name"]').val(),
 							parentID: $(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="parentID"]').val(),
 							minetype: $(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="type"]').val()};
-				
+
 				o.manager.gridNodeDblClick(nodeObj);
 			}
-			
+
 			var highlightNode = function (node) {
 				$(node).addClass('selected');
 			}
-			
+
 			var isHighLight = function (node) {
 				return $(node).hasClass('selected');
 			}
-			
+
 			var clearAllHighLightNode = function () {
 				$(oContainer).find('> UL > LI').removeClass('selected');
 			}
-			
+
 			var clearHighLightNode = function (node) {
 				$(node).removeClass('selected');
 			}
-			
+
 			var highLightAllNode = function () {
 				clearAllHighLightNode();
 				$(oContainer).find('> UL > LI').addClass('selected');
 			}
-			
+
 			var getAllHighLightNode = function () {
 				return $(oContainer).find('> UL > LI.selected');
 			}
-			
+
 			var initGrid = function () {
 				$(oContainer).attr('unselectable','on')
@@ -135,9 +137,9 @@
 				           '-ms-user-select':'none',
 				           'user-select':'none'
-				     }).bind('selectstart', function(){ return false; 
+				     }).bind('selectstart', function(){ return false;
 				     }).bind('click', function(e){clearAllHighLightNode(); return false; });
 
 				var ul = $('<ul></ul>',{'class':'vsgrid'});
-				
+
 				var parentDirID = o.manager.getTreeCurrentNode();
 				if (o.data.DIRECTORIES.length > 0) {
@@ -149,5 +151,5 @@
 					}
 				}
-				
+
 				if (o.data.FILES.length > 0) {
 					for (var f in o.data.FILES) {
@@ -158,5 +160,5 @@
 					}
 				}
-				
+
 				$(oContainer).find ('UL').remove();
 				$(oContainer).append(ul);
@@ -173,5 +175,5 @@
 			 * RENAME - START *
 			 ******************/
-			var renameInit = function (node) {				
+			var renameInit = function (node) {
 				var editor = $('<input />',{'class':'rename', type: 'text', value:$(node).text()});
 				$(editor).bind('focusout', function(e){renameCancel(node)});
@@ -183,5 +185,5 @@
 						e.stopPropagation();
 					});
-				
+
 				$(node).text('');
 				$(node).append(editor);
@@ -189,5 +191,5 @@
 				//$(editor).select();
 			}
-			
+
 			var renameCancel = function (node) {
 				var nodeID = $(node).parent().find('> INPUT[type="hidden"][class^="id"]').val();
@@ -201,5 +203,5 @@
 				$(node).select();
 			}
-			
+
 			var renameComplete = function (node) {
 				var editor = $(node).find('>INPUT');
@@ -210,27 +212,27 @@
 				$(node).find('>INPUT').remove();
 			}
-			
+
 			/******************
 			 * RENAME - END *
 			 ******************/
-			
+
 			this.reloadGrid = function () {
 				initGrid();
 			}
-			
+
 			this.setData = function (data) {
 				o.data = data;
 			}
-			
+
 			this.rename = function (item) {
 				/*console.log('rename');
 				console.log(item);*/
 			}
-			
+
 			this.createNode = function (node) {
 				var node = createNode ({item: node});
 				$(oContainer).find ('UL').append(node);
 			}
-			
+
 			this.deletion = function (id, type) {
 				destroyNode($(oContainer).find('LI#'+type+id));
@@ -253,10 +255,10 @@
 
 				return true;
-			}			
-			
+			}
+
 			this.getHighLightItem = function () {
-				var nodeSelected = $(oContainer).find('LI.vscell.selected');				
+				var nodeSelected = $(oContainer).find('LI.vscell.selected');
 				var items = [];
-				
+
 				if ($(nodeSelected).length > 0) {
 					$(nodeSelected).each (function(i,obj) {
@@ -268,5 +270,5 @@
 						});
 				}
-				
+
 				return items;
 			}
@@ -275,10 +277,10 @@
 				highLightAllNode();
 			}
-			
+
 			this.initialize = function () {
 				initGrid();
 				return this;
 			};
-			
+
 			return this.initialize();
 		}
Index: pro-violet-viettel/www/deploy/20150304/assets/js/manager.js
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 887)
+++ pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 888)
@@ -40,10 +40,10 @@
 
                                 if (o.filehosting == undefined)
-                                    o.filehosting = 'http://sbgapi.violet.vn/';
+                                    o.filehosting = 'http://sbgapi.violet.vn/uploads/space';
 
                                 if (o.invisibledButtons == undefined)
                                     o.invisibledButtons = null;
 
-                                o.host = o.host + 'ajax/';
+                                o.host += 'ajax/';
 
                                 var isDev = false;
@@ -138,5 +138,4 @@
                                                                 }
                                                             }
-
                                                         })
                                                 .done(function () {
@@ -210,5 +209,4 @@
 
                                     self.setHomeNode();
-
                                     self.refreshStatusBar();
                                 };
@@ -1154,6 +1152,5 @@
                                         callback: function (result) {
                                             if (result) {
-                                                var delobj = JSON
-                                                        .stringify(item);
+                                                var delobj = JSON.stringify(item);
                                                 var postdata = {
                                                     delobj: delobj
@@ -1184,14 +1181,14 @@
                                                         if ($(parseData.DIRECTORIES).length > 0) {
                                                             $(parseData.DIRECTORIES).each(
-                                                                    function (index) {
-                                                                        o.data.DIRECTORIES.splice(searchItemByID(this, 'directory'), 1);
-                                                                    });
+                                                                function (index) {
+                                                                    o.data.DIRECTORIES.splice(searchItemByID(this, 'directory'), 1);
+                                                                });
                                                         }
 
                                                         if ($(parseData.FILES).length > 0) {
                                                             $(parseData.FILES).each(
-                                                                    function (index) {
-                                                                        o.data.FILES.splice(searchItemByID(this, 'file'), 1);
-                                                                    });
+                                                                function (index) {
+                                                                    o.data.FILES.splice(searchItemByID(this, 'file'), 1);
+                                                                });
                                                         }
 
@@ -1452,4 +1449,8 @@
                                 }
 
+                                this.getFileHosting = function () {
+                                	return o.filehosting;
+                                }
+
                                 this.initialize = function () {
                                     init();