Index: /pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 888)
+++ /pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 889)
@@ -2,5 +2,5 @@
 /**
  * PrivateContent Class
- * 
+ *
  * @author dzungnv02
  *
@@ -28,5 +28,5 @@
 ); */
 
-class PrivateContent extends MX_Controller 
+class PrivateContent extends MX_Controller
 {
 
@@ -38,14 +38,14 @@
 		$this->vservices->setUserId($user['us_id']);
 	}
-	
+
 	public function getContent () {
-		$xmlData = $this->vservices->getPrivateTree(); 
-		
+		$xmlData = $this->vservices->getPrivateTree();
+
                 $this->xml->parse($xmlData);
-                
+
 		$aryDirs = array();
 		$aryFiles = array();
 		write_file('log.txt', var_export($xmlData, true));
-		
+
 		if (!isset($this->xml->tree)) {
 			$aryError = array('err' => 'KhÃŽng thá» káº¿t ná»i Äáº¿n mÃ¡y chá»§!', 'errCode' => '-1');
@@ -54,7 +54,7 @@
 			return;
 		}
-		
+
 		$aryError = array('err' => $this->xml->tree->_param['err'], 'errCode' => (int)$this->xml->tree->_param['errCode']);
-		
+
 		if (isset($this->xml->tree->folderlist->folder)) {
 			if (is_array($this->xml->tree->folderlist->folder)) {
@@ -68,9 +68,11 @@
 			}
 		}
-		
+
 		if (isset($this->xml->tree->filelist->file)) {
 			if (is_array($this->xml->tree->filelist->file)) {
 				foreach($this->xml->tree->filelist->file as $key=>$value){
-					$aryFiles[] = array('id' => $value->_param['id'], 'name' => $value->_value, 'parentID' => $value->_param['parentid'] == -1 ? 0:$value->_param['parentid'], 'minetype' => $value->_param['filetype'], 'size' => $value->_param['size'],'thumbnail' => $value->_param['thumbnail'],'fileurl' => $value->_param['fileurl']);
+					//$fileUrl = dirname(dirname(dirname($value->_param['fileurl'])));
+					$fileUrl = $value->_param['fileurl'];
+					$aryFiles[] = array('id' => $value->_param['id'], 'name' => $value->_value, 'parentID' => $value->_param['parentid'] == -1 ? 0:$value->_param['parentid'], 'minetype' => $value->_param['filetype'], 'size' => $value->_param['size'],'thumbnail' => $value->_param['thumbnail'],'fileurl' => $fileUrl);
 				}
 			}else {
@@ -87,14 +89,14 @@
 		$parentDir =  $this->input->post('fparentid',TRUE);
 		$name =  $this->input->post('fname',TRUE);
-		
+
 		$xmlData = $this->vservices->actionExecute('mkdir',array('name' => $name, 'parent_id' => $parentDir == 0 ? -1:$parentDir));
-		
+
 		$this->xml->parse($xmlData);
-		
+
 		$aryError = array('err' => $this->xml->status->_param['err'], 'errCode' => (int)$this->xml->status->_param['errCode']);
 		$aryData = array('id' => $this->xml->status->_param['id'], 'name' => $this->xml->status->_param['name'], 'parentID' => $parentDir, 'ERROR' => $aryError);
 		echo json_encode($aryData);
 	}
-	
+
 	public function delete () {
 		$delobj =  $this->input->post('delobj',TRUE);
@@ -105,5 +107,5 @@
 		if (isset($this->xml->tree->folder)) {
 			if (is_array($this->xml->tree->folder)) {
-				foreach ($this->xml->tree->folder as $key => $folder) {					
+				foreach ($this->xml->tree->folder as $key => $folder) {
 					$aryFolders['DIRECTORIES'][] = $folder->_param['id'];
 				}
@@ -113,5 +115,5 @@
 			}
 		}
-		
+
 		if (isset($this->xml->tree->file)) {
 			if (is_array($this->xml->tree->file)) {
@@ -124,14 +126,14 @@
 			}
 		}
-		
+
 		$aryError = array('err' => $this->xml->tree->_param['err'], 'errCode' => (int)$this->xml->tree->_param['errCode']);
 		$aryData = array('DIRECTORIES' => isset($aryFolders['DIRECTORIES']) ? $aryFolders['DIRECTORIES'] : array(), 'FILES' => isset($aryFolders['FILES'])? $aryFolders['FILES'] : array() ,'ERROR' => $aryError);
 		echo json_encode($aryData);
 	}
-	
+
 	public function rename() {
 		$id =  $this->input->post('id',TRUE);
 		$data =  $this->input->post('data',TRUE);
-		
+
 		/* $aryData = array();
 		$aryData['RESULT'] = $this->objDirectory->rename($id, $newName, $objectType);;
@@ -144,21 +146,21 @@
 		$data =  $this->input->post('data',TRUE);
 		$act =  $this->input->post('act',TRUE);
-		
+
 		$xmlData = $this->vservices->actionExecute('copy' ,array('act' => $act,'data' => $data, 'destination' => $destination == 0 ? -1:$destination));
-		
+
 		error_log(date('YmdHis').' - $xmlData: '.var_export($xmlData, TRUE), 3, '/srv/www/sbg/log/file.log');
-		
+
 		$this->xml->parse($xmlData);
-		
+
 		$aryNewDirs =	isset($this->xml->data->folderdata) ? json_decode($this->xml->data->folderdata->_value) : array();
 		$aryNewFiles =	isset($this->xml->data->filedata) ? json_decode($this->xml->data->filedata->_value) : array();
-		
+
 		$aryData = array('DIRECTORIES' => $aryNewDirs, 'FILES' => $aryNewFiles);
 		$aryData['ERROR'] = array('err' => $this->xml->data->_param['err'], 'errCode' => (int)$this->xml->data->_param['errCode']);;
 		echo json_encode($aryData);
 	}
-	
+
 	public function upload() {
-		
+
 	}
 }