Index: pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php
===================================================================
--- pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 891)
+++ pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 892)
@@ -73,6 +73,13 @@
 				foreach($this->xml->tree->filelist->file as $key=>$value){
 					//$fileUrl = dirname(dirname(dirname($value->_param['fileurl'])));
-					$fileUrl = $value->_param['fileurl'];
-					$aryFiles[] = array('id' => $value->_param['id'], 'name' => $value->_value, 'parentID' => $value->_param['parentid'] == -1 ? 0:$value->_param['parentid'], 'minetype' => $value->_param['filetype'], 'size' => $value->_param['size'],'thumbnail' => $value->_param['thumbnail'],'fileurl' => $fileUrl);
+					$fileUrl="";
+                                        if ($value->_param['fileurl']!=""){
+                                        $fileUrl = $this->config->item('api_url').$value->_param['fileurl'];
+                                        }
+                                        $thumbnail="";
+                                        if ($value->_param['thumbnail']!=""){
+                                        $thumbnail = $this->config->item('api_url').$value->_param['thumbnail'];
+                                        }
+                                        $aryFiles[] = array('id' => $value->_param['id'], 'name' => $value->_value, 'parentID' => $value->_param['parentid'] == -1 ? 0:$value->_param['parentid'], 'minetype' => $value->_param['filetype'], 'size' => $value->_param['size'],'thumbnail' => $thumbnail,'fileurl' => $fileUrl);
 				}
 			}else {
@@ -161,6 +168,6 @@
 	}
 
-	public function upload() {
-
+	public function test() {
+            echo $this->vservices->actionExecute('test');
 	}
 }
Index: pro-violet-viettel/www/deploy/20150304/assets/js/grid.js
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 891)
+++ pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 892)
@@ -24,18 +24,18 @@
 				var thumb = null;
 				var filehosting = o.manager.getFileHosting();
-                if (node.item.thumbnail != "")
-                {  
-                    thumb = $('<img>', {src:node.item.thumbnail,align:'middle'});
-                }
-                else
-                {
-					if($.inArray( type.toLowerCase(), [ "jpg", "jpeg", "png", "bmp"])>=0)
-					{
-						 thumb = $('<img>', {src: ""+ node.item.fileurl,align:'middle'});
-					}
-                }
-
-				var div = $('<div></div>',{'class':icon});
-				if (thumb != null) $(div).append(thumb);
+                                var filedomain = o.manager.getFileDomain();
+                                    
+
+                                if (node.item.thumbnail != '')
+                                {  
+                                    thumb = $('<img>', {src:node.item.thumbnail,align:'middle'});
+                                   
+                                }
+                                var div = $('<div></div>',{'class':icon});
+                                 $(div).append(thumb);
+
+				
+				
+                                
 
 				var typeid = type == 'directory' ? 'directory':'file';
Index: pro-violet-viettel/www/deploy/20150304/assets/js/manager.js
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 891)
+++ pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 892)
@@ -1,3 +1,3 @@
-if (jQuery)
+if (jQuery) 
     (function ($) {
         $
@@ -41,5 +41,6 @@
                                 if (o.filehosting == undefined)
                                     o.filehosting = 'http://sbgapi.violet.vn/uploads/space';
-
+                                if (o.filedomain == undefined)
+                                    o.filedomain = 'http://sbgapi.violet.vn';
                                 if (o.invisibledButtons == undefined)
                                     o.invisibledButtons = null;
@@ -415,19 +416,9 @@
                                 var btnDownloadClick = function () {
                                     var items = o.oGrid.getHighLightItem();
-                                     /*       
-                                    if ($(items).length == 0) {
-                                        var node = o.oTree.getSelectedNode();
-                                        var itemID = $(node).attr('id');
-
-                                        if (itemID == 0)
-                                            return false;
-
-                                        items[0] = o.data.DIRECTORIES[searchItemByID(
-                                                itemID, 'directory')];
-                                        items[0].type = 'directory';
-                                    }
-                                    */
+                                   
+
                                     for (var i = 0; i < items.length; i++) {
                                         if (items[i].type == 'directory') {
+                                            
                                             items[i] = self.getAllDirChilds(items[i]);
                                         }
@@ -623,5 +614,5 @@
                                     $ext = $ext.toLowerCase();
                                     if ($.inArray($ext, ["jpg", "jpeg", "png","gif","tiff","dvg","bmp"]) >= 0) {
-                                        alert (node.fileurl);
+                                       
                                         content = "<img style='width:100%' src='"
                                                 + node.fileurl
@@ -806,6 +797,8 @@
                                                                 for (var i = 0; i < $(newFileData.FILES).length; i++) {
                                                                     var file = newFileData.FILES[i];
+                                                                   
                                                                     var node = {
-                                                                        thumbnail: file.thumbnail,
+                                                                       
+                                                                        thumbnail: o.filedomain+"/"+file.thumbnail,
                                                                         id: file.id,
                                                                         name: file.name,
@@ -821,4 +814,5 @@
                                                                 for (var i = 0; i < $(newFileData.DIRECTORIES).length; i++) {
                                                                     var file = newFileData.DIRECTORIES[i];
+                                                        
                                                                     var node = {
                                                                         id: file.id,
@@ -1454,4 +1448,7 @@
                                 	return o.filehosting;
                                 }
+                                this.getFileDomain = function () {
+                                	return o.filedomain;
+                                }
 
                                 this.initialize = function () {