Index: pro-violet-viettel/www/deploy/20150304/assets/css/space/style2.css
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/css/space/style2.css	(revision 894)
+++ pro-violet-viettel/www/deploy/20150304/assets/css/space/style2.css	(revision 895)
@@ -64,5 +64,5 @@
     border: 20px solid rgba(0, 0, 0, 0);
     border-radius: 3px;
-    border-image: url('../img/border-image.png') 25 repeat;
+    border-image: url('../../img/border-image.png') 25 repeat;
     text-align: center;
     text-transform: uppercase;
@@ -257,5 +257,5 @@
 
 
-/* --------------------------------Fix something from style.css ---------------------------*/
+/* --------------------------------Fix something from .css ---------------------------*/
 
 /* Bootstrap modified */
@@ -294,5 +294,5 @@
 }
 .breadcrumb .home-icon {
-    color: #9BB8A7;
+    color: #929292;
 }
 @media only screen and (max-width: 991px) {
@@ -335,4 +335,191 @@
     outline: none !important;
 }
+
+/****************************** FILE COPY MODAL ***********************************/
+.copy-meter { 
+    height: 20px;
+    width: calc(100% - 20px);
+    position: relative;
+    background: #F5F5F5;
+    margin-top: 10px;
+    border: 1px solid #E8E4E4;
+}
+.copy-meter > span {
+    display: block;
+    height: 100%;
+    background-color: rgb(43,194,83);
+    background-image: linear-gradient(
+    center bottom,
+    rgb(43,194,83) 37%,
+    rgb(84,240,84) 69%
+    );
+    box-shadow: 
+    inset 0 2px 9px  rgba(255,255,255,0.3),
+    inset 0 -2px 6px rgba(0,0,0,0.4);
+    position: relative;
+    overflow: hidden;
+    -webkit-animation: expandWidth .33s linear;
+    -moz-animation: expandWidth .33s linear;
+}
+.copy-meter > span:after, .meter-animate > span > span {
+    content: "";
+    position: absolute;
+    top: 0; left: 0; bottom: 0; right: 0;
+    background-image:
+       -webkit-gradient(linear, 0 0, 100% 100%,
+          color-stop(.25, rgba(255, 255, 255, .2)),
+          color-stop(.25, transparent), color-stop(.5, transparent),
+          color-stop(.5, rgba(255, 255, 255, .2)),
+          color-stop(.75, rgba(255, 255, 255, .2)),
+          color-stop(.75, transparent), to(transparent)
+       );
+    background-image:
+        -moz-linear-gradient(
+          -45deg,
+          rgba(255, 255, 255, .2) 25%,
+          transparent 25%,
+          transparent 50%,
+          rgba(255, 255, 255, .2) 50%,
+          rgba(255, 255, 255, .2) 75%,
+          transparent 75%,
+          transparent
+       );
+    z-index: 1;
+    -webkit-background-size: 50px 50px;
+    -moz-background-size: 50px 50px;
+    background-size: 50px 50px;
+    -webkit-animation: move 2s linear infinite;
+    -moz-animation: move 2s linear infinite;
+    overflow: hidden;
+}
+
+.meter-animate > span:after {
+    display: none;
+}
+
+@-webkit-keyframes move {
+    0% { background-position: 0 0; }
+    100% { background-position: 50px 50px; }
+}
+
+@-moz-keyframes move {
+    0% { background-position: 0 0;}
+    100% { background-position: 50px 50px; }
+}
+
+@-webkit-keyframes expandWidth {
+    0% { width: 0; }
+    100% { width: 50%; }
+}
+
+@-moz-keyframes expandWidth {
+    0% { width: 0; }
+    100% { width: auto; }
+}
+
+.copy {
+    position: absolute;
+    -moz-animation-name: copy-transform-keyframes;
+    -moz-animation-duration: 4000ms;
+    -moz-animation-delay: 0ms;
+    -moz-animation-fill-mode: forwards;
+    -moz-animation-timing-function: linear;
+    -moz-animation-iteration-count: infinite;
+    -moz-transform-origin: 0 0;
+    -webkit-animation-name: copy-transform-keyframes;
+    -webkit-animation-duration: 4000ms;
+    -webkit-animation-delay: 0ms;
+    -webkit-animation-fill-mode: forwards;
+    -webkit-animation-timing-function: linear;
+    -webkit-animation-iteration-count: infinite;
+    -webkit-transform-origin: 0 0;
+    animation-name: copy-transform-keyframes;
+    animation-duration: 4000ms;
+    animation-delay: 0ms;
+    animation-fill-mode: forwards;
+    animation-timing-function: linear;
+    animation-iteration-count: infinite;
+    transform-origin: 0 0;
+}
+@-moz-keyframes copy-transform-keyframes {
+    0% {-moz-transform:translate(0px, 0px) scale(1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) translate(-50%, -50%);-moz-animation-timing-function: cubic-bezier(.25,.25,.75,.75);}
+    100% {-moz-transform:translate(145px, 1.5px) scale(1) rotateX(180deg) rotateY(180deg) rotateZ(180deg) translate(-50%, -50%);}
+}
+@-webkit-keyframes copy-transform-keyframes {
+    0% {-webkit-transform:translate(0px, 0px) scale(1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) translate(-50%, -50%);-webkit-animation-timing-function: cubic-bezier(.25,.25,.75,.75);}
+    100% {-webkit-transform:translate(145px, 1.5px) scale(1) rotateX(180deg) rotateY(180deg) rotateZ(180deg) translate(-50%, -50%);}
+}
+@keyframes copy-transform-keyframes {
+    0% {transform:translate(0px, 0px) scale(1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) translate(-50%, -50%);animation-timing-function: cubic-bezier(.25,.25,.75,.75);}
+    100% {transform:translate(145px, 1.5px) scale(1) rotateX(180deg) rotateY(180deg) rotateZ(180deg) translate(-50%, -50%);}
+}
+span, a {
+    font-family: Verdana, sans-serif;
+}
+.space-modal {
+    width: 400px;
+    margin: 0 auto;
+    border: 1px solid #EBE4E4;
+    border-radius: 6px;
+    margin-bottom: 10px;
+    margin-top: 10px;
+    background: #fff;
+}
+.space-modal-body {
+    padding: 10px;
+}
+.space-modal-footer {
+    text-align: center;
+    border-top: 1px solid #EBE4E4;
+    padding: 10px;
+}
+.space-modal-footer:hover {
+    background: #eff3f8;
+}
+.modal-footer {
+    padding: 0;
+    background-color: transparent;
+}
+.modal-footer button {
+    outline: none;
+    background: transparent;
+    border: 0;
+    cursor: pointer;
+    font-size: 16px;
+    padding: 15px;
+    border-left: 1px solid #E5E5E5;
+}
+.modal-footer button:hover {
+    background-color: #eff3f8;
+}
+
+#copy-modal i {
+    font-size: 16px;
+    color: #959191;
+}
+#copy-modal i:nth-child(4) {
+    margin-left: 150px;
+}
+
+#replace-modal ul {
+    list-style: none;
+    padding-left: 30px;
+}
+#replace-modal ul li {
+    margin: 10px 0;
+    padding: 10px;
+}
+#replace-modal ul li:hover {
+    background: #AADFE1;
+}
+#replace-modal ul li a {
+    text-decoration: none;
+    color: #666;
+}
+#replace-modal .replace-file {
+
+}
+
+/*************************************Preview Modal ***********************************************/
 .preview .modal-content {
     background: transparent;
@@ -374,10 +561,16 @@
     cursor: pointer;
 }
+
+/*------------ Icon file --------- */
 .vstree li.home {
-    background: url(../images/icon-set/cloud-16.png) left top no-repeat
+    background: url(../../images/icon-set/cloud-16.png) left top no-repeat;
 }
 .vstree li.directory {
-    background: url(../images/icon-set/folder-16.png) left top no-repeat
-}
+    background: url(../../images/icon-set/folder-16.png) left top no-repeat;
+}
+ul.vstree a.currentDir {
+    background: #E4E4E4;
+}
+
 #file-container ul.vsgrid li.vscell.selected div[class^="icon-"],
 #file-container ul.vsgrid li.vscell.selected div.file-name {
@@ -385,18 +578,40 @@
 }
 #file-container ul.vsgrid li.vscell div.icon-xvl {
-    background-image: url(../images/icon-set/violet.png) !important;
+    background-image: url(../../images/icon-set/violet.png) !important;
 }
 #file-container ul.vsgrid li.vscell div.icon-directory {
-    background-image: url(../images/icon-set/folder.png) !important; 
+    background-image: url(../../images/icon-set/folder.png) !important; 
+}
+#file-container ul.vsgrid li.vscell div.icon-xls {
+    background-image: url(../../images/icon-set/xls.png) !important; 
 }
 #file-container ul.vsgrid li.vscell div.icon-xlsx {
-    background-image: url(../images/icon-set/xlsx.png) !important; 
+    background-image: url(../../images/icon-set/xlsx.png) !important; 
+}
+#file-container ul.vsgrid li.vscell div.icon-doc {
+    background-image: url(../../images/icon-set/doc.png) !important; 
+}
+#file-container ul.vsgrid li.vscell div.icon-docx {
+    background-image: url(../../images/icon-set/docx.png) !important; 
+}
+#file-container ul.vsgrid li.vscell div.icon-ppt {
+    background-image: url(../../images/icon-set/ppt.png) !important; 
+}
+#file-container ul.vsgrid li.vscell div.icon-pptx {
+    background-image: url(../../images/icon-set/pptx.png) !important; 
 }
 #file-container ul.vsgrid li.vscell div.icon-txt {
-    background-image: url(../images/icon-set/txt.png) !important; 
+    background-image: url(../../images/icon-set/txt.png) !important; 
 }
 #file-container ul.vsgrid li.vscell div.icon-mp4,
-#file-container ul.vsgrid li.vscell div.icon-flv {
-    background-image: url(../images/icon-set/video.png) !important; 
+#file-container ul.vsgrid li.vscell div.icon-flv,
+#file-container ul.vsgrid li.vscell div.icon-avi,
+#file-container ul.vsgrid li.vscell div.icon-wmv {
+    background-image: url(../../images/icon-set/video.png) !important; 
+}
+
+#file-container ul.vsgrid li.vscell div.icon-mp3,
+#file-container ul.vsgrid li.vscell div.icon-wav {
+    background-image: url(../../images/icon-set/audio.png) !important; 
 }
 /*------------ File Manager: Grid View ----- */
@@ -415,5 +630,5 @@
 #file-container ul.vsgrid li.vscell div[class^="icon-"]:not([class="icon-directory"]) img:not([src]),
 #file-container ul.vsgrid li.vscell div[class^="icon-"]:not([class="icon-directory"]):empty {
-    background-image: url(../images/icon-set/file.png);
+    background-image: url(../../images/icon-set/file.png);
 }
 
@@ -463,2 +678,86 @@
     background-size: cover;
 }
+
+/* --------------- Context Menu --------------------*/
+#context-menu-container .right-arrow {
+    float: right;
+    top: 4px;
+    position: relative;
+}
+#context-menu-container ul {
+    margin:0px;
+    padding:4px 0;
+    list-style:none;
+    min-width:160px;
+    white-space:nowrap
+}
+#context-menu-container ul.menu div.icon-frame {
+    display: inline-block;
+    vertical-align: top;
+    margin-right: 2px;
+}
+#context-menu-container ul.menu {
+    border: 1px solid rgba(61,70,77,0.1);
+    box-shadow: 0px 1px 2px rgba(0,0,0,0.1);
+    background: #fff;
+    border-radius: 5px;
+    background-clip: padding-box;
+}
+#context-menu {
+    position:fixed;
+    z-index:501
+}
+#context-menu a {
+    min-width:160px;
+    margin:0;
+    padding:8px 10px;
+    display:block
+}
+#context-menu a:hover {
+    text-decoration:none
+}
+#context-menu button {
+    min-width:160px;
+    height:100%;
+    padding:8px 8px;
+    margin:0;
+    text-align:left;
+    vertical-align:middle;
+    background-color:transparent;
+    border:none
+}
+#context-menu button.disabled {
+    filter:progid:DXImageTransform.Microsoft.Alpha(Opacity=40);
+    opacity:0.4
+}
+#context-menu a>img {
+    margin-right:4px
+}
+#context-menu a,
+#context-menu button,
+#context-menu button div{
+    cursor:pointer;
+    color:#222
+}
+#context-menu .secondary {
+    display:none;
+    position:absolute;
+    top:-5px;
+    left:98%;
+    z-index:20
+}
+#context-menu .secondary button {
+    padding-right:12px
+}
+#context-menu li.primary {
+    position:relative
+}
+#context-menu li.action {
+    height:34px
+}
+#context-menu li:hover {
+    background: #E3F2FF;
+}
+#context-menu li:hover > .secondary {
+    display:block
+}