Index: /pro-violet-viettel/www/deploy/20150304/application/modules/filemanager/views/main.php
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/application/modules/filemanager/views/main.php	(revision 896)
+++ /pro-violet-viettel/www/deploy/20150304/application/modules/filemanager/views/main.php	(revision 897)
@@ -32,5 +32,5 @@
                                 </span>
 
-                                <i class="icon-caret-down"></i>
+                                <i class="fa fa-caret-down"></i>
                             </a>
 
@@ -38,5 +38,5 @@
                                 <li>
                                     <a href="<?php echo $base_url; ?>frontend/user/profile">
-                                        <i class="icon-user"></i>
+                                        <i class="fa fa-user"></i>
                                         ThÃŽng tin cÃ¡ nhÃ¢n
                                     </a>
@@ -47,5 +47,5 @@
                                 <li>
                                     <a href="<?php echo $base_url; ?>frontend/home/signout">
-                                        <i class="icon-off"></i>
+                                        <i class="fa fa-off"></i>
                                         ThoÃ¡t
                                     </a>
@@ -59,5 +59,5 @@
 
         <!-- <div id="title-bar" class="col-sm-10 col-md-10 col-lg-10 header-color-blue2">
-            <div id="logo"><i class="icon-xing">&nbsp;Violet Space</i></div>
+            <div id="logo"><i class="fa fa-xing">&nbsp;Violet Space</i></div>
         </div>
         <div id="profile-area" class="col-sm-2 col-md-2 col-lg-2 header-color-dark">
@@ -71,20 +71,20 @@
         <div id="tools-bar" class="col-sm-12 col-xs-12 col-md-12 col-lg-12">
             <div class="btn-group basic">
-                <button id="btnNewFolder" class="btn btn-success" title="Táº¡o thÆ° má»¥c má»i"><i class="icon-folder-close"></i></button>
-                <button id="btnDel" class="btn btn-success" title="XÃ³a"><i class="icon-eraser"></i></button>
-                <button id="btnCopy" class="btn btn-success" title="Sao chÃ©p"><i class="icon-copy"></i></button>
-                <button id="btnCut" class="btn btn-success" title="Cáº¯t"><i class="icon-cut"></i></button>
-                <button id="btnPaste" class="btn btn-success" title="DÃ¡n"><i class="icon-paste"></i></button>
+                <button id="btnNewFolder" class="btn btn-success" title="Táº¡o thÆ° má»¥c má»i"><i class="fa fa-folder-close"></i></button>
+                <button id="btnDel" class="btn btn-success" title="XÃ³a"><i class="fa fa-eraser"></i></button>
+                <button id="btnCopy" class="btn btn-success" title="Sao chÃ©p"><i class="fa fa-copy"></i></button>
+                <button id="btnCut" class="btn btn-success" title="Cáº¯t"><i class="fa fa-cut"></i></button>
+                <button id="btnPaste" class="btn btn-success" title="DÃ¡n"><i class="fa fa-paste"></i></button>
             </div>
             <div class="btn-group social">
-                <button id="btnShare" class="btn btn-danger" title="Chia sáº»"><i class="icon-share-alt"></i></button>
-                <button id="btnPreview" class="btn btn-danger" title="Xem trÆ°á»c"><i class="icon-eye-open"></i></button>
+                <button id="btnShare" class="btn btn-danger" title="Chia sáº»"><i class="fa fa-share-alt"></i></button>
+                <button id="btnPreview" class="btn btn-danger" title="Xem trÆ°á»c"><i class="fa fa-eye-open"></i></button>
             </div>
             <div class="btn-group creation">
-                <button id="btnDownload" class="btn btn-warning" title="Táº£i xuá»ng"><i class="icon-cloud-download"></i></button>
-                <button id="btnUpload" class="btn btn-info" title="Táº£i lÃªn"><i class="icon-cloud-upload"></i></button>
+                <button id="btnDownload" class="btn btn-warning" title="Táº£i xuá»ng"><i class="fa fa-cloud-download"></i></button>
+                <button id="btnUpload" class="btn btn-info" title="Táº£i lÃªn"><i class="fa fa-cloud-upload"></i></button>
             </div>
             <div class="btn-group control">
-                <button id="btnRefresh" class="btn btn-info" title="Táº£i láº¡i"><i class="icon-refresh"></i></button>
+                <button id="btnRefresh" class="btn btn-info" title="Táº£i láº¡i"><i class="fa fa-refresh"></i></button>
             </div>
         </div>
@@ -101,11 +101,11 @@
         	<div id="navigation-bar">
         		<ul class="breadcrumb">
-	    			<li><i class="ace-icon icon-folder-close home-icon"></i><a href="" title="">Home</a></li>
+	    			<li><i class="ace-icon fa fa-folder-close home-icon"></i><a href="" title="">Home</a></li>
 	    			<li><a href="" title="">Folder</a></li>
 	    			<li><a href="" title="">File</a></li>
 	    		</ul>
                 <ul class="change-file-view list-inline pull-right">
-                    <li><i class="ace-icon icon-th-large show-grid-view" title="Hiá»n thá» thumbnail"></i></li>
-                    <li><i class="ace-icon icon-th-list show-list-view" title="Hiá»n thá» danh sÃ¡ch"></i></li>
+                    <li><i class="ace-icon fa fa-th-large show-grid-view" title="Hiá»n thá» thumbnail"></i></li>
+                    <li><i class="ace-icon fa fa-th-list show-list-view" title="Hiá»n thá» danh sÃ¡ch"></i></li>
                 </ul>
         	</div>