Index: /pro-violet-viettel/www/deploy/20150304/assets/js/grid.js
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 914)
+++ /pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 915)
@@ -24,18 +24,10 @@
 				var thumb = null;
 				var filehosting = o.manager.getFileHosting();
-                                var filedomain = o.manager.getFileDomain();
-                                    
-
-                                if (node.item.thumbnail != '')
-                                {  
-                                    thumb = $('<img>', {src:node.item.thumbnail,align:'middle'});
-                                   
-                                }
-                                var div = $('<div></div>',{'class':icon});
-                                 $(div).append(thumb);
-
-				
-				
-                                
+                var filedomain = o.manager.getFileDomain();
+
+                thumb = node.item.thumbnail != '' ? $('<img>', {src:node.item.thumbnail,align:'middle'}): null;
+
+                var div = $('<div></div>',{'class':icon});
+                $(div).append(thumb);
 
 				var typeid = type == 'directory' ? 'directory':'file';
Index: /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 914)
+++ /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 915)
@@ -601,4 +601,5 @@
                                     };
 
+
                                     return bootbox.dialog(promptOptions);
                                 }
@@ -770,7 +771,6 @@
                                                                 for (var i = 0; i < $(newFileData.FILES).length; i++) {
                                                                     var file = newFileData.FILES[i];
-
                                                                     var node = {
-                                                                        thumbnail: o.filedomain+"/"+file.thumbnail,
+                                                                        thumbnail: file.thumbnail == '' ? null : o.filedomain+"/"+ file.thumbnail,
                                                                         id: file.id,
                                                                         name: file.name,
@@ -900,45 +900,28 @@
                                     var aryDupplicated = [];
                                     var messageText = '';
-
                                     var destination = self.getTreeCurrentNode();
-                                    /*if (oClipBoard.act != 'copy') {
-                                        $(oClipBoard.items).each(
-                                                function (index) {
-                                                    var node = new Object;
-                                                    if (this.type == 'directory')
-                                                        buildTreeFromParent(this.id, node);
-
-                                                    else {
-                                                        node.id = this.id;
-                                                        node.type = 'file';
-                                                    }
-
-                                                    items[index] = node;
-                                                });
-
-                                    } else {*/
-                                    	var destinationChildDirs = searchItemsByParent(destination, 'directory');
-                                    	var destinationChildFiles = searchItemsByParent(destination, 'file');
-
-                                        items = oClipBoard.items;
-
-                                        for (var i = 0; i < items.length; i++) {
-                                        	if (items[i].type == 'directory' ) {
-                                        		for (var d = 0; d < destinationChildDirs.length; d++) {
-                                        			if (destinationChildDirs[d].name == items[i].name) {
-                                        				aryDupplicated.push(items[i]);
-                                        			}
-                                        		}
-                                        	}
-
-                                        	if (items[i].type == 'file' ) {
-	                                    		for (var f = 0; f < destinationChildFiles.length; f++) {
-	                                    			if (destinationChildFiles[f].name == items[i].name) {
-	                                    				aryDupplicated.push(items[i]);
-	                                    			}
-	                                    		}
-                                        	}
-                                        }
-                                    //}
+
+                                	var destinationChildDirs = searchItemsByParent(destination, 'directory');
+                                	var destinationChildFiles = searchItemsByParent(destination, 'file');
+
+                                    items = oClipBoard.items;
+
+                                    for (var i = 0; i < items.length; i++) {
+                                    	if (items[i].type == 'directory' ) {
+                                    		for (var d = 0; d < destinationChildDirs.length; d++) {
+                                    			if (destinationChildDirs[d].name == items[i].name) {
+                                    				aryDupplicated.push(items[i]);
+                                    			}
+                                    		}
+                                    	}
+
+                                    	if (items[i].type == 'file' ) {
+                                    		for (var f = 0; f < destinationChildFiles.length; f++) {
+                                    			if (destinationChildFiles[f].name == items[i].name) {
+                                    				aryDupplicated.push(items[i]);
+                                    			}
+                                    		}
+                                    	}
+                                    }
 
                                     for (var i = 0; i < items.length; i++) {
@@ -982,4 +965,6 @@
                                         bootbox.confirm(confirmOptions);
                                     }
+
+                                    console.log(items);
                                 }
 